Bug 705174 - echoping: boundary error in SSL-related functions can lead to buffer overflow [fedora-all] [NEEDINFO]
Summary: echoping: boundary error in SSL-related functions can lead to buffer overflow...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: echoping
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_ping=1
Depends On:
Blocks: CVE-2010-5111
TreeView+ depends on / blocked
 
Reported: 2011-05-16 20:48 UTC by Vincent Danen
Modified: 2015-04-21 19:19 UTC (History)
1 user (show)

Fixed In Version: echoping-6.1-0.1.beta.r434svn.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-10 07:28:40 UTC
pj.pandit: needinfo? (andreas)


Attachments (Terms of Use)

Description Vincent Danen 2011-05-16 20:48:07 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=705173

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora End Of Life 2012-08-07 19:27:01 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Vincent Danen 2013-10-17 17:00:49 UTC
This is still unfixed.

Comment 3 pjp 2014-12-03 18:22:00 UTC
Hello andreas,

Could you please fix this soon?

Comment 4 Fedora Update System 2015-02-25 15:40:58 UTC
echoping-6.1-0.beta.r434svn.1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/echoping-6.1-0.beta.r434svn.1.fc22

Comment 5 Fedora Update System 2015-02-25 15:41:42 UTC
echoping-6.1-0.beta.r434svn.1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/echoping-6.1-0.beta.r434svn.1.fc21

Comment 6 Fedora Update System 2015-02-25 15:42:14 UTC
echoping-6.1-0.beta.r434svn.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/echoping-6.1-0.beta.r434svn.1.fc20

Comment 7 Fedora Update System 2015-02-26 05:54:43 UTC
Package echoping-6.1-0.beta.r434svn.1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing echoping-6.1-0.beta.r434svn.1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2584/echoping-6.1-0.beta.r434svn.1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-02-26 14:50:08 UTC
echoping-6.1-0.1.beta.r434svn.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/echoping-6.1-0.1.beta.r434svn.fc22

Comment 9 Fedora Update System 2015-04-10 07:28:40 UTC
echoping-6.1-0.beta.r434svn.1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-10 07:28:59 UTC
echoping-6.1-0.beta.r434svn.1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-04-21 19:19:44 UTC
echoping-6.1-0.1.beta.r434svn.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.